/* File: systemmodule.c*/

#include "<Python.h>"

static PyObject *system_command(PyObject *self, PyObject *args)
{
    int  return_status;
    char *program;
    char *argument;
    static char statement[255];

    if (!PyArg_ParseTuple(args, "ss", &program, &argument))
        return NULL;

    sprintf(statement, "%s %s", program, argument);

    return_status = system(statement);
    return Py_BuildValue("i", return_status);
}

static PyMethodDef systemmethods[] = {
   {"command", system_command, METH_VARARGS},
   {NULL, NULL}
};

DL_EXPORT(void) initsystem() {
   Py_InitModule("system", systemmethods);
}
