unit Calcform;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, OLEAuto;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  COMCalcServer: Variant;
implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
   try
      COMCalcServer := CreateOleObject('COMCALCSERVER.VERSION1');
      Form1.Caption := 'Python COM Routine is Active';
      Edit1.text := '';
      Edit2.text := '';
      Edit3.text := '';
      Button1.Name := 'mul';
      Button2.Name := 'div';
      Button3.Name := 'add';
      Button4.Name := 'sub';

   except
      MessageDlg('An error has happened!', mtError, [mbOk],0);
      Application.Terminate;
   end;
end;

procedure TForm1.Button1Click(Sender: TObject);
var tmp1float, tmp2float : Real;
    tmp3string : String;
begin
     tmp1float := StrToFloat(Edit1.text);
     tmp2float := StrToFloat(Edit2.text);
     tmp3string := FloatToStr(COMCalcServer.mul(tmp1float, tmp2float));
     Edit3.text := tmp3string;
end;

procedure TForm1.Button2Click(Sender: TObject);
var tmp1float, tmp2float : Real;
    tmp3string : String;
begin
     tmp1float := StrToFloat(Edit1.text);
     tmp2float := StrToFloat(Edit2.text);
     tmp3string := FloatToStr(COMCalcServer.div(tmp1float, tmp2float));
     Edit3.text := tmp3string;
end;

procedure TForm1.Button3Click(Sender: TObject);
var tmp1float, tmp2float : Real;
    tmp3string : String;
begin
     tmp1float := StrToFloat(Edit1.text);
     tmp2float := StrToFloat(Edit2.text);
     tmp3string := FloatToStr(COMCalcServer.add(tmp1float, tmp2float));
     Edit3.text := tmp3string;
end;

procedure TForm1.Button4Click(Sender: TObject);
var tmp1float, tmp2float : Real;
    tmp3string : String;
begin
     tmp1float := StrToFloat(Edit1.text);
     tmp2float := StrToFloat(Edit2.text);
     tmp3string := FloatToStr(COMCalcServer.sub(tmp1float, tmp2float));
     Edit3.text := tmp3string;
end;

end.
