# File: comcalcserver2.py

class COMCalcServer:
    _reg_clsid_ = '{C76BEA64-3B39-11D4-8A7C-444553546170}'
    _reg_progid_ = 'COMCALCSERVER.VERSION2'
    _public_methods_ = ['mul','div','add','sub', 'updatecaption']
    def mul(self, arg1, arg2):
        return arg1 * arg2
    def div(self, arg1, arg2):
        return arg1 / arg2
    def add(self, arg1, arg2):
        return arg1 + arg2
    def sub(self, arg1, arg2):
        return arg1 - arg2
    def updatecaption(self, object):
        import win32com.client
        Form = win32com.client.Dispatch(object)
        Form.Caption = "Python COM Routine is Active"

if __name__ == '__main__':
    import win32com.server.register
    win32com.server.register.UseCommandLine(COMCalcServer)
