import xmllib

class QuestionNotFound:
    pass

class Parser(xmllib.XMLParser):

    def __init__(self, filename=None):
        self.found = 0
        xmllib.XMLParser.__init__(self)
        if filename:
            self.load(filename)

    def load(self, filename):
        while 1:
            xmldata=filename.read(1024)
            if not xmldata:
                break
            self.feed(xmldata)
        self.close()

    def start_QUESTION(self, attrs):
        question_id = attrs.get("QUESTION_ID")
        print "I found Question #" + question_id
        if question_id == "4":
            self.found = 1

    def end_SECTION(self):
        if not self.found:
            raise QuestionNotFound
try:
    MyParser = Parser()
    MyParser.load(open("survey.xml"))
except QuestionNotFound(Exception):
    print "I couldn't find Question #4 !!!"
