/* File: divisionmodule.c*/

#include "<Python.h>"

static PyObject *division_function(PyObject *self, PyObject *args)
  { PyObject *result = NULL;
    long a, b;

    if (PyArg_ParseTuple(args, "ii", &a, &b)) {
      result = Py_BuildValue("i", a / b);
    }

    return result;
  }

static PyMethodDef divisionmethods[] = {
  {"divide", division_function, METH_VARARGS},
  {NULL, NULL},
};

DL_EXPORT(void) initdivision()
  { 
    Py_InitModule("division", divisionmethods);
  }
