import threading, time
import Queue, random

class VCR(threading.Thread):
    channels = ["KDSF", "FOKS", "CBA", "ESTN"]

    def __init__(self, queue, channel, seconds):
        self.__queue = queue
        self.seconds = seconds
        self.network = VCR.channels[channel-1]
        threading.Thread.__init__(self)
    def run(self):
        for i in range(self.seconds):
            time.sleep(0.0001)
            self.public = self.__queue.get()
            print "After %d seconds, %d people were watching %s" % \
              (self.seconds, self.public, self.network)

queue = Queue.Queue(0)

VCR(queue, 1, 60).start()
VCR(queue, 2, 40).start()
VCR(queue, 3, 35).start()
VCR(queue, 4, 75).start()

audience = 0
while audience < random.randint(200,300):
    queue.put(audience)
    audience = audience + 1
    print "The audience now has %d people." % (audience)
    time.sleep(0.001)

time.sleep(10)
