import MimeWriter
import quopri, base64

msgtext = "This message has 3 images as attachments."
files = ["sun.jpg", "rain.jpg", "beach.jpg"]
mimefile = "mymessage.msg"

mimemsg = MimeWriter.MimeWriter(sys.stdout)
mimemsg.addheader("Mime-Version","1.0")
mimemsg.startmultipartbody("mixed")

msgpart = mimemsg.nextpart()
msgpart.addheader("Content-Transfer-Encoding", "quoted-printable")
msgpart.startbody("text/plain")
quopri.encode(StringIO.StringIO(msgtext), mimefile, 0)

for file in files:
    msgpart = mimemsg.nextpart()
    msgpart.addheader("Content-Transfer-Encoding", "base64")
    msgpart.startbody("text/jpeg")
    base64.encode(open(file, "rb"), mimefile)

mimemsg.lastpart()
